org.keycloak.dom.xmlsec.w3.xmldsig

## Class ReferenceType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.ReferenceType

-     public class ReferenceType
      extends Object

  Java class for ReferenceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ReferenceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestMethod"/>
               <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestValue"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="URI" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DigestMethodType` | `digestMethod`
    `protected byte[]` | `digestValue`
    `protected String` | `id`
    `protected TransformsType` | `transforms`
    `protected String` | `type`
    `protected String` | `uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DigestMethodType` | `getDigestMethod()` Gets the value of the digestMethod property.
    `byte[]` | `getDigestValue()` Gets the value of the digestValue property.
    `String` | `getId()` Gets the value of the id property.
    `TransformsType` | `getTransforms()` Gets the value of the transforms property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getURI()` Gets the value of the uri property.
    `void` | `setDigestMethod(DigestMethodType value)` Sets the value of the digestMethod property.
    `void` | `setDigestValue(byte[] value)` Sets the value of the digestValue property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setTransforms(TransformsType value)` Sets the value of the transforms property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setURI(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transforms

          protected TransformsType transforms

    - #### digestMethod

          protected DigestMethodType digestMethod

    - #### digestValue

          protected byte[] digestValue

    - #### id

          protected String id

    - #### uri

          protected String uri

    - #### type

          protected String type

  - ### Constructor Detail

    - #### ReferenceType

          public ReferenceType()

  - ### Method Detail

    - #### getTransforms

          public TransformsType getTransforms()

      Gets the value of the transforms property.
      Returns:
        possible object is `TransformsType`

    - #### setTransforms

          public void setTransforms(TransformsType value)

      Sets the value of the transforms property.
      Parameters:
        `value` - allowed object is `TransformsType`

    - #### getDigestMethod

          public DigestMethodType getDigestMethod()

      Gets the value of the digestMethod property.
      Returns:
        possible object is `DigestMethodType`

    - #### setDigestMethod

          public void setDigestMethod(DigestMethodType value)

      Sets the value of the digestMethod property.
      Parameters:
        `value` - allowed object is `DigestMethodType`

    - #### getDigestValue

          public byte[] getDigestValue()

      Gets the value of the digestValue property.
      Returns:
        possible object is byte[]

    - #### setDigestValue

          public void setDigestValue(byte[] value)

      Sets the value of the digestValue property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getURI

          public String getURI()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setURI

          public void setURI(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2016 JBoss by Red Hat. All rights reserved.